;;; oni-hydra.el --- Configuration for using Hydra   -*- lexical-binding: t; -*-

;; Copyright (C) 2020  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2020.0306.225035
;; Package-Requires: (hydra posframe)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration for hydra. Set it up to use posframe instead of the default lv.

;;; Code:

(require 'hydra)

(setq hydra-hint-display-type 'posframe)

;;;###autoload(with-eval-after-load 'hydra (require 'oni-hydra))

(provide 'oni-hydra)
;;; oni-hydra.el ends here
